// pages/myWork/myWork.js
const api = require('../../api/index')
const app = getApp()
const pay = require('../../utils/pay')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tableData:[],
    queryParams:{
      current:1,
      size:10
    },
    total:0,
    loading:false,
    imgHttp:app.globalData.imghttp,
    scrolltop: 20,
    ticketTypeFiled:{
      '1':'ticketFillInVO',
      '2':'ticketRightsProtectionVO',
      '3':'ticketLitigationRespondingVO',
      '4':'ticketPatentApplyVO'
    },
    ticketTypes:{
      '1':'我要查风险',
      '2':'我要维权',
      '3':'我要申诉',
      '4':'我要申请'
    },
    ticketProgress:{
      '1':'等待受理',
      '2':'已受理，待支付',
      '3':'正在处理中',
      '4':'完成',
      '5':'取消'
    },
    //操作栏位
    menu:[
      {
        label:'支付',
        method:'payMoney',
        icon:'',
        type:2
      },
      {
        label:'确认',
        method:'confirm',
        icon:''
      },
      {
        label:'取消',
        method:'cancel',
        icon:''
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    this.init()
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面功能
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[]
      }
    )
    this.getMyWork()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },

  //查看图片
  previewImage(e) {
    const { current,imglist } = e.currentTarget.dataset
    var imgs = []
    for(var i =0;i<imglist.length;i++){
      imgs.push(this.data.imgHttp + imglist[i].guid)
    }
    current = this.data.imgHttp + current
    wx.previewImage({
      current,
      urls:imgs,
    })
  },
  //获取工单记录
  getMyWork(){
    wx.showLoading({
      title: '加载中',
    })
    api.queryTicket(this.data.queryParams).then(res=>{
      if(res.code == 200){
        var data = this.data.tableData
        data = data.concat(res.data.data)
        this.setData(
          {
            tableData:data,
            total:res.data.total
          }
        )
      }
    })
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1
      }
    )
    this.getMyWork()
  },
  //菜单点击
  clickMenu(e){
    console.log(e)
    var data = e.detail
    this[data.method](data.data,data.index)
  },
  //支付3
  payMoney(data,index){
    console.log(data)
    var params = {
      goodType:2,
      goodUuid:data.num
    }
    wx.showLoading({
      title: '加载中',
    })
    pay.payMoney(params).then(res=>{
      console.log(res)
      if(res.errMsg == 'requestPayment:ok'){
        api.notify(
          {
            type:'success',
            message:'支付成功',
            top:wx.getStorageSync('height')
          }
        )
        this.setData(
          {
            ["tableData["+index+"].ticketProgress"]:3
          }
        )
      }
    }).catch(error=>{

    })
  },
  //取消5
  cancel(data,index){
    var params = {
      id:data.id,
      process:5
    }
    api.updateTicketProcess(params).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            ["tableData["+index+"].ticketProgress"]:5
          }
        )
      }
    })
   
  },
  //确认4
  confirm(data,index){
    var params = {
      id:data.id,
      process:4
    }
    api.updateTicketProcess(params).then(res=>{
      if(res.code == 200){
        this.setData(
          {
            ["tableData["+index+"].ticketProgress"]:4
          }
        )
      }
    })
  },


  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})